<?php
/**
 * CrisisCommons based off MonoBook nouveau
 *
 * Translated from gwicke's previous TAL template version to remove
 * dependency on PHPTAL.
 *
 * @todo document
 * @file
 * @ingroup Skins
 */

if( !defined( 'MEDIAWIKI' ) )
	die( -1 );

/**
 * Inherit main code from SkinTemplate, set the CSS and template filter.
 * @todo document
 * @ingroup Skins
 */
class SkinCrisisCommons extends SkinTemplate {
	/** Using open311. */
	function initPage( OutputPage $out ) {
		parent::initPage( $out );
		$this->skinname  = 'crisiscommons';
		$this->stylename = 'crisiscommons';
		$this->template  = 'CrisisCommonsTemplate';

	}

	function setupSkinUserCss( OutputPage $out ) {
		global $wgHandheldStyle;

		parent::setupSkinUserCss( $out );

		// Append to the default screen common & print styles...
		$out->addStyle( 'crisiscommons/main.css', 'screen' );
		if( $wgHandheldStyle ) {
			// Currently in testing... try 'chick/main.css'
			$out->addStyle( $wgHandheldStyle, 'handheld' );
		}

		$out->addStyle( 'crisiscommons/IE50Fixes.css', 'screen', 'lt IE 5.5000' );
		$out->addStyle( 'crisiscommons/IE55Fixes.css', 'screen', 'IE 5.5000' );
		$out->addStyle( 'crisiscommons/IE60Fixes.css', 'screen', 'IE 6' );
		$out->addStyle( 'crisiscommons/IE70Fixes.css', 'screen', 'IE 7' );
                         
		$out->addStyle( 'crisiscommons/rtl.css', 'screen', '', 'rtl' );
	}
}

/**
 * @todo document
 * @ingroup Skins
 */
class CrisisCommonsTemplate extends QuickTemplate {
	var $skin;
	/**
	 * Template filter callback for Open311 skin.
	 * Takes an associative array of data set from a SkinTemplate-based
	 * class, and a wrapper for MediaWiki's localization database, and
	 * outputs a formatted page.
	 *
	 * @access private
	 */
	function execute() {
		global $wgRequest;
		$this->skin = $skin = $this->data['skin'];
		$action = $wgRequest->getText( 'action' );

		// Suppress warnings to prevent notices about missing indexes in $this->data
		wfSuppressWarnings();

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="<?php $this->text('xhtmldefaultnamespace') ?>" <?php
	foreach($this->data['xhtmlnamespaces'] as $tag => $ns) {
		?>xmlns:<?php echo "{$tag}=\"{$ns}\" ";
	} ?>xml:lang="<?php $this->text('lang') ?>" lang="<?php $this->text('lang') ?>" dir="<?php $this->text('dir') ?>">
	<head>
		<meta http-equiv="Content-Type" content="<?php $this->text('mimetype') ?>; charset=<?php $this->text('charset') ?>" />
		<?php $this->html('headlinks') ?>
		<title><?php $this->text('pagetitle') ?></title>
		<?php $this->html('csslinks') ?>

		<!--[if lt IE 7]><script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('stylepath') ?>/common/IEFixes.js?<?php echo $GLOBALS['wgStyleVersion'] ?>"></script>
		<meta http-equiv="imagetoolbar" content="no" /><![endif]-->








		<style type="text/css" media="screen">
			@import url( http://haiti.casefoundation.org/sites/default/themes/arthemia/style.css?D );
		</style>




		<?php print Skin::makeGlobalVariablesScript( $this->data ); ?>

		<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('stylepath' ) ?>/common/wikibits.js?<?php echo $GLOBALS['wgStyleVersion'] ?>"><!-- wikibits js --></script>
		<!-- Head Scripts -->
<?php $this->html('headscripts') ?>
<?php	if($this->data['jsvarurl']) { ?>
		<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('jsvarurl') ?>"><!-- site js --></script>
<?php	} ?>
<?php	if($this->data['pagecss']) { ?>
		<style type="text/css"><?php $this->html('pagecss') ?></style>
<?php	}
		if($this->data['usercss']) { ?>
		<style type="text/css"><?php $this->html('usercss') ?></style>
<?php	}
		if($this->data['userjs']) { ?>
		<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('userjs' ) ?>"></script>
<?php	}
		if($this->data['userjsprev']) { ?>
		<script type="<?php $this->text('jsmimetype') ?>"><?php $this->html('userjsprev') ?></script>
<?php	}
		if($this->data['trackbackhtml']) print $this->data['trackbackhtml']; ?>
	</head>
<body<?php if($this->data['body_ondblclick']) { ?> ondblclick="<?php $this->text('body_ondblclick') ?>"<?php } ?>
<?php if($this->data['body_onload']) { ?> onload="<?php $this->text('body_onload') ?>"<?php } ?>
 class="mediawiki <?php $this->text('dir') ?> <?php $this->text('pageclass') ?> <?php $this->text('skinnameclass') ?>">



    <div id="head" class="clearfloat content">

      <div class="clearfloat">
	
			        <div id="logo">
			          <a href="/" title="Crisis Commons"><img src="http://haiti.casefoundation.org/sites/default/files/logo.png" alt="Crisis Commons" /></a>                </div>

			                  <div id="banner-region">
			            		<div id="block-block-2" class="block block-block odd">
  						
									<h3>How can I help?</h3>

									  <div class="content">
									    <p>
										Have a project? Speak Creole?<br />
										Have tech skills? <strong><a href="/volunteer">Let us know</a></strong>.
										</p>  
						
									  </div>
										
								</div>
			          		</div>
			       </div>

			      <div id="navbar" class="clearfloat">
				
				          <div id="page-bar">
				
							<ul class="menu">
								<li class="leaf first active-trail"><a href="/about" title="" class="active">About us</a></li>
								<li class="leaf"><a href="/faq" title="">FAQ</a></li>
								<li class="leaf"><a href="http://haiti.crisiscommons.org/" title="">Blog</a></li>
								<li class="leaf"><a href="/news" title="Media">Media</a></li>
								<li class="leaf"><a href="http://wiki.crisiscommons.org/" title="">Wiki</a></li>
								<li class="leaf"><a href="/organize-a-crisis-camp" title="">Organize a CrisisCamp</a></li>
								<li class="leaf last"><a href="/volunteer" title="CrisisCommons &amp; CrisisCamp Volunteer Form">Volunteer</a></li>
							</ul>
						</div>                  
					
					
						<div id="wiki-searchform">
							<form action="/about"  accept-charset="UTF-8" method="post" id="search-theme-form">

							    <div>
									<div id="search" class="container-inline">
							  			<div class="form-item" id="edit-search-theme-form-1-wrapper">
							 				<input type="text" maxlength="128" name="search_theme_form" id="edit-search-theme-form-1" size="15" value="" title="Enter the terms you wish to search for." class="form-text" />
										</div>
		
										<input type="image" name="" value="Search" id=""  class="form-submit" src="/sites/default/themes/arthemia/images/magnify.gif" />
										<input type="hidden" name="form_build_id" id="form-781e8cfabdd52bd485bc64d2c0c3af7f" value="form-781e8cfabdd52bd485bc64d2c0c3af7f"  />
										<input type="hidden" name="form_id" id="edit-search-theme-form" value="search_theme_form"  />
									</div>
								</div>
					
						   </form>			
					  </div>
			
				</div>	<!-- end navbar -->		
				
		</div>	<!-- end clearfloat -->	
	
	

			
			
		</div>
	</div>
	
	
	<div id="page" class="clearfloat">

	<div class="content page-body">	
	

		
	
				<div id="p-cactions" class="portlet">
					<h5><?php $this->msg('views') ?></h5>
					<div class="pBody">
						<ul>
						<?php	
							foreach($this->data['content_actions'] as $key => $tab) {
								echo '
							 <li id="' . Sanitizer::escapeId( "ca-$key" ) . '"';
								if( $tab['class'] ) {
									echo ' class="'.htmlspecialchars($tab['class']).'"';
								}
								echo'><a href="'.htmlspecialchars($tab['href']).'"';
								# We don't want to give the watch tab an accesskey if the
								# page is being edited, because that conflicts with the
								# accesskey on the watch checkbox.  We also don't want to
								# give the edit tab an accesskey, because that's fairly su-
								# perfluous and conflicts with an accesskey (Ctrl-E) often
								# used for editing in Safari.
							 	if( in_array( $action, array( 'edit', 'submit' ) )
							 	&& in_array( $key, array( 'edit', 'watch', 'unwatch' ))) {
							 		echo $skin->tooltip( "ca-$key" );
							 	} else {
							 		echo $skin->tooltipAndAccesskey( "ca-$key" );
							 	}
							 	echo '>'.htmlspecialchars($tab['text']).'</a></li>';
							} ?>
						</ul>
					</div>
				</div>

	
	
		
			<div id="content" class="main-content with-sidebar">
				<a name="top" id="top"></a>
				<?php if($this->data['sitenotice']) { ?><div id="siteNotice"><?php $this->html('sitenotice') ?></div><?php } ?>
				<h1 id="firstHeading" class="firstHeading"><?php $this->data['displaytitle']!=""?$this->html('title'):$this->text('title') ?></h1>
				<div id="bodyContent">
					<h3 id="siteSub"><?php $this->msg('tagline') ?></h3>
					<div id="contentSub"><?php $this->html('subtitle') ?></div>
					<?php if($this->data['undelete']) { ?><div id="contentSub2"><?php     $this->html('undelete') ?></div><?php } ?>
					<?php if($this->data['newtalk'] ) { ?><div class="usermessage"><?php $this->html('newtalk')  ?></div><?php } ?>
					<?php if($this->data['showjumplinks']) { ?><div id="jump-to-nav"><?php $this->msg('jumpto') ?> <a href="#column-one"><?php $this->msg('jumptonavigation') ?></a>, <a href="#searchInput"><?php $this->msg('jumptosearch') ?></a></div><?php } ?>
					<!-- start content -->
					<?php $this->html('bodytext') ?>
					<?php if($this->data['catlinks']) { $this->html('catlinks'); } ?>
					<!-- end content -->
					<?php if($this->data['dataAfterContent']) { $this->html ('dataAfterContent'); } ?>
					<div class="visualClear"></div>
				</div>
			</div>
	
	
	
						
			<div id="sidebar">



				<div id="user-nav">	

					<div class="portlet" id="p-personal">
						<h5><?php $this->msg('personaltools') ?></h5>
						<div class="pBody">
							<ul>
							<?php 			
								foreach($this->data['personal_urls'] as $key => $item) { ?>
								<li id="<?php echo Sanitizer::escapeId( "pt-$key" ) ?>"<?php
									if ($item['active']) { ?> class="active"<?php } ?>><a href="<?php
								echo htmlspecialchars($item['href']) ?>"<?php echo $skin->tooltipAndAccesskey('pt-'.$key) ?><?php
								if(!empty($item['class'])) { ?> class="<?php
								echo htmlspecialchars($item['class']) ?>"<?php } ?>><?php
								echo htmlspecialchars($item['text']) ?></a></li>
							<?php } ?>
							</ul>
						</div>
					</div>				


				</div>


				<script type="<?php $this->text('jsmimetype') ?>"> if (window.isMSIE55) fixalpha(); </script>


				<?php
						$sidebar = $this->data['sidebar'];
						if ( !isset( $sidebar['SEARCH'] ) ) $sidebar['SEARCH'] = true;
						if ( !isset( $sidebar['TOOLBOX'] ) ) $sidebar['TOOLBOX'] = true;
						if ( !isset( $sidebar['LANGUAGES'] ) ) $sidebar['LANGUAGES'] = true;
						foreach ($sidebar as $boxName => $cont) {
							if ( $boxName == 'SEARCH' ) {
								$this->searchBox();
							} elseif ( $boxName == 'TOOLBOX' ) {
								$this->toolbox();
							} elseif ( $boxName == 'LANGUAGES' ) {
								$this->languageBox();
							} else {
								$this->customBox( $boxName, $cont );
							}
						}

					?>	


					<?php
							// Generate additional footer links 2
							$footerlinks = array(
								'about', 'copyright', 'privacy', 'disclaimer', 'tagline',
							);
							$validFooterLinks = array();
							foreach( $footerlinks as $aLink ) {
								if( isset( $this->data[$aLink] ) && $this->data[$aLink] ) {
									$validFooterLinks[] = $aLink;
								}
							}
							if ( (count( $validFooterLinks ) > 0) || ($this->data['poweredbyico'])) {
					?>			

					<div class="portlet">
					<h5>Meta</h5>

						<div class="pBody">				



								<ul id="footer-nav">


					<?php
								foreach( $validFooterLinks as $aLink ) {
									if( isset( $this->data[$aLink] ) && $this->data[$aLink] ) {
					?>					<li id="<?php echo$aLink?>"><?php $this->html($aLink) ?></li>
					<?php 			}
								}
					?>

					<?php
						if($this->data['poweredbyico']) { ?>	
						<li id="f-poweredbyico"><?php $this->html('poweredbyico') ?></li>
					<?php } ?>				

								</ul>

						</div>			
					</div>							
					<?php	}
					?>	






			</div><!-- end of #sidebar - the left (by default at least) column -->						
						
						
						
						

		
	
		
		
		
		

	</div> <!-- end content -->






	</div> <!-- end page -->



	<div id="footer-message">	
	
		<?php
				if($this->data['copyrightico']) { ?>
						<div id="f-copyrightico"><?php $this->html('copyrightico') ?></div>
		<?php	}




				// Generate additional footer links 1
				$footerlinks = array(
					'lastmod', 'viewcount', 'numberofwatchingusers', 'credits',
				);
				$validFooterLinks = array();
				foreach( $footerlinks as $aLink ) {
					if( isset( $this->data[$aLink] ) && $this->data[$aLink] ) {
						$validFooterLinks[] = $aLink;
					}
				}
				if ( count( $validFooterLinks ) > 0 ) {
		?>			<ul id="page-meta">
		<?php
					foreach( $validFooterLinks as $aLink ) {
						if( isset( $this->data[$aLink] ) && $this->data[$aLink] ) {
		?>					<li id="<?php echo$aLink?>"><?php $this->html($aLink) ?></li>
		<?php 			}
					}
		?>
					</ul>
		<?php	} ?>

	</div>

		
		
</div>




<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-8102379-3");
pageTracker._trackPageview();
} catch(err) {}</script>
		
		
<?php $this->html('bottomscripts'); /* JS call to runBodyOnloadHook */ ?>
<?php $this->html('reporttime') ?>
<?php if ( $this->data['debug'] ): ?>
<!-- Debug output:
<?php $this->text( 'debug' ); ?>

-->
<?php endif; ?>
</body>
</html>
<?php
	wfRestoreWarnings();
	} // end of execute() method



	/*************************************************************************************************/
	function searchBox() {
?>
	<div id="p-search" class="portlet">
		<h5><label for="searchInput"><?php $this->msg('search') ?></label></h5>
		<div id="searchBody" class="pBody">
			<form action="<?php $this->text('searchaction') ?>" id="wiki-searchform"><div>
				<input id="searchInput" name="search" type="text"<?php echo $this->skin->tooltipAndAccesskey('search');
					if( isset( $this->data['search'] ) ) {
						?> value="<?php $this->text('search') ?>"<?php } ?> />
				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="<?php $this->msg('searcharticle') ?>"<?php echo $this->skin->tooltipAndAccesskey( 'search-go' ); ?> />&nbsp;
				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="<?php $this->msg('searchbutton') ?>"<?php echo $this->skin->tooltipAndAccesskey( 'search-fulltext' ); ?> />
			</div></form>
		</div>
	</div>
<?php
	}




	/*************************************************************************************************/
	function toolbox() {
?>
	<div class="portlet" id="p-tb">
		<h5><?php $this->msg('toolbox') ?></h5>
		<div class="pBody">
			<ul>
<?php
		if($this->data['notspecialpage']) { ?>
				<li id="t-whatlinkshere"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['whatlinkshere']['href'])
				?>"<?php echo $this->skin->tooltipAndAccesskey('t-whatlinkshere') ?>><?php $this->msg('whatlinkshere') ?></a></li>
<?php
			if( $this->data['nav_urls']['recentchangeslinked'] ) { ?>
				<li id="t-recentchangeslinked"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['recentchangeslinked']['href'])
				?>"<?php echo $this->skin->tooltipAndAccesskey('t-recentchangeslinked') ?>><?php $this->msg('recentchangeslinked') ?></a></li>
<?php 		}
		}
		if(isset($this->data['nav_urls']['trackbacklink'])) { ?>
			<li id="t-trackbacklink"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['trackbacklink']['href'])
				?>"<?php echo $this->skin->tooltipAndAccesskey('t-trackbacklink') ?>><?php $this->msg('trackbacklink') ?></a></li>
<?php 	}
		if($this->data['feeds']) { ?>
			<li id="feedlinks"><?php foreach($this->data['feeds'] as $key => $feed) {
					?><span id="<?php echo Sanitizer::escapeId( "feed-$key" ) ?>"><a href="<?php
					echo htmlspecialchars($feed['href']) ?>"<?php echo $this->skin->tooltipAndAccesskey('feed-'.$key) ?>><?php echo htmlspecialchars($feed['text'])?></a>&nbsp;</span>
					<?php } ?></li><?php
		}

		foreach( array('contributions', 'log', 'blockip', 'emailuser', 'upload', 'specialpages') as $special ) {

			if($this->data['nav_urls'][$special]) {
				?><li id="t-<?php echo $special ?>"><a href="<?php echo htmlspecialchars($this->data['nav_urls'][$special]['href'])
				?>"<?php echo $this->skin->tooltipAndAccesskey('t-'.$special) ?>><?php $this->msg($special) ?></a></li>
<?php		}
		}

		if(!empty($this->data['nav_urls']['print']['href'])) { ?>
				<li id="t-print"><a href="<?php echo htmlspecialchars($this->data['nav_urls']['print']['href'])
				?>"<?php echo $this->skin->tooltipAndAccesskey('t-print') ?>><?php $this->msg('printableversion') ?></a></li><?php
		}

		if(!empty($this->data['nav_urls']['permalink']['href'])) { ?>
				<li id="t-permalink"><a href="<?php echo htmlspecialchars($this->data['nav_urls']['permalink']['href'])
				?>"<?php echo $this->skin->tooltipAndAccesskey('t-permalink') ?>><?php $this->msg('permalink') ?></a></li><?php
		} elseif ($this->data['nav_urls']['permalink']['href'] === '') { ?>
				<li id="t-ispermalink"<?php echo $this->skin->tooltip('t-ispermalink') ?>><?php $this->msg('permalink') ?></li><?php
		}

		wfRunHooks( 'MonoBookTemplateToolboxEnd', array( &$this ) );
		wfRunHooks( 'SkinTemplateToolboxEnd', array( &$this ) );
?>
			</ul>
		</div>
	</div>
<?php
	}

	/*************************************************************************************************/
	function languageBox() {
		if( $this->data['language_urls'] ) {
?>
	<div id="p-lang" class="portlet">
		<h5><?php $this->msg('otherlanguages') ?></h5>
		<div class="pBody">
			<ul>
<?php		foreach($this->data['language_urls'] as $langlink) { ?>
				<li class="<?php echo htmlspecialchars($langlink['class'])?>"><?php
				?><a href="<?php echo htmlspecialchars($langlink['href']) ?>"><?php echo $langlink['text'] ?></a></li>
<?php		} ?>
			</ul>
		</div>
	</div>
<?php
		}
	}

	/*************************************************************************************************/
	function customBox( $bar, $cont ) {
?>
	<div class='generated-sidebar portlet' id='<?php echo Sanitizer::escapeId( "p-$bar" ) ?>'<?php echo $this->skin->tooltip('p-'.$bar) ?>>
		<h5><?php $out = wfMsg( $bar ); if (wfEmptyMsg($bar, $out)) echo $bar; else echo $out; ?></h5>
		<div class='pBody'>
<?php   if ( is_array( $cont ) ) { ?>
			<ul>
<?php 			foreach($cont as $key => $val) { ?>
				<li id="<?php echo Sanitizer::escapeId($val['id']) ?>"<?php
					if ( $val['active'] ) { ?> class="active" <?php }
				?>><a href="<?php echo htmlspecialchars($val['href']) ?>"<?php echo $this->skin->tooltipAndAccesskey($val['id']) ?>><?php echo htmlspecialchars($val['text']) ?></a></li>
<?php			} ?>
			</ul>
<?php   } else {
			# allow raw HTML block to be defined by extensions
			print $cont;
		}
?>
		</div>
	</div>
<?php
	}

} // end of class


